summaryrefslogtreecommitdiffstats
path: root/bootstrap
diff options
context:
space:
mode:
authorTill Straumann <strauman@slac.stanford.edu>2009-04-22 22:06:58 +0000
committerTill Straumann <strauman@slac.stanford.edu>2009-04-22 22:06:58 +0000
commita8bf95d0249565f4210ccab5c13232d501ce0c2d (patch)
treee01f2eca98add8dba13eec23a95fa22120638890 /bootstrap
parenta90d1ed6c9cbdf2f899d13178fd589f80c5ab0e6 (diff)
downloadlibbsdport-a8bf95d0249565f4210ccab5c13232d501ce0c2d.tar.bz2
- importing updated version from SLAC as of 20090422
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap45
1 files changed, 45 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..d0762ad
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+localhack=
+while getopts "lf" theopt ; do
+ case $theopt in
+ l)
+ localhack=yes
+ ;;
+ f)
+ force=--force
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if test -d cexp ; then
+ (cd cexp; make src)
+fi
+
+for val in cexp/binutils* binutils* ; do
+ if test -d "$val" ; then
+ echo "*************** ERROR Found $val;"
+ echo "You must run `basename $0` before unpacking 'binutils';"
+ echo "Please move the 'binutils' directory temporarily out of the source tree,"
+ echo "run `basename $0` and then move binutils back"
+ exit 1
+ fi
+done
+
+if test "$localhack" = "yes" ; then
+# for some strange reason it is not
+# possible to pass autoreconf an option
+# directing it to search directories
+# for '.m4' files for aclocal. The '-I/-B'
+# options don't seem to work. We hack
+# around this by setting ACLOCAL
+ if test "${ACLOCAL+set}" = "set" ; then
+ echo "Warning: ACLOCAL is already set; I add a -I option";
+ else
+ ACLOCAL=aclocal
+ fi
+ export ACLOCAL="$ACLOCAL -I `(cd \`dirname $0\`; pwd)`/autognu"
+fi
+autoreconf -i $force